Get All Teams

deprecated
gethttps://app.fossa.com/api/teams

This endpoint is deprecated. Please use the paginated /v2/teams/ endpoint instead.

Responses

200OK

Array of:

idinteger

The team's unique identifier

organizationIdinteger

The organization's unique identifier

namestring

The team's name

defaultRoleIdinteger

The default role's unique identifier

autoAddUsersboolean

Whether the team auto-adds users

uniqueIdentifierstring

The team's unique identifier

createdAtstring <date-time>

The team's creation date

updatedAtstring <date-time>

The team's last update date

teamUsersobject[]
userIdinteger

The user's unique identifier

roleIdinteger

The role's unique identifier

teamReleaseGroupsCountinteger

The number of release groups associated with the team

teamProjectsCountinteger

The number of projects associated with the team

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/teams
curl --request GET \  --url 'https://app.fossa.com/api/teams' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.